<template>
  <div>
    <div class="closeBtn">
      <span>空间分析</span><span class="closeSpan" @click="closeJm">×</span>
    </div>
    <hr />
    <div class="kjfx">
      <div class="fjx"></div>
      <el-row :gutter="20">
        <el-col :span="12">
          <ul>
            <!-- <li @click="spjk" :class="isOpen['spjk'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/spjk.png" />
              <span>视频监控</span>
            </li> -->

            <!-- <li @click="yqfkclick" :class="isOpen['yqfk'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/yqfk.png" />
              <span>疫情防控</span>
            </li> -->

            <li @click="ymfx" :class="isOpen['ymfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/ymfx.png" />
              <span>淹没分析</span>
            </li>
            <li @click="tsfx" :class="isOpen['tsfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/tsfx.png" />
              <span>通视分析</span>
            </li>
            <li @click="syfx" :class="isOpen['syfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/syfx.png" />
              <span>视域分析</span>
            </li>
            <li @click="tjxfx" :class="isOpen['tjxfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/tjxfx.png" />
              <span>天际线分析</span>
            </li>
            <li @click="hcqfx" :class="isOpen['hcqfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/hcqfx.png" />
              <span>缓冲区分析</span>
            </li>
            <li @click="rzfx" :class="isOpen['rzfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/rzfx.png" />
              <span>日照分析</span>
            </li>
            <li @click="yyfx" :class="isOpen['yyfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/yyfx.png" />
              <span>阴影分析</span>
            </li>
          </ul>
        </el-col>
        <el-col :span="12">
          <ul>
            <!-- <li @click="tdgl" :class="isOpen['tdgl'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/tdgl.png" />
              <span>土地管理</span>
            </li>
            <li @click="tdgl1" :class="isOpen['tdgl1'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/tdgl.png" />
              <span>土地管理1</span>
            </li> -->

            <li @click="dgxfx" :class="isOpen['dgxfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/dgxfx.png" />
              <span>等高线分析</span>
            </li>
            <li @click="pmfx" :class="isOpen['pmfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/pmfx.png" />
              <span>剖面分析</span>
            </li>
            <li @click="dxkw" :class="isOpen['dxkw'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/dxkw.png" />
              <span>地形开挖</span>
            </li>
            <li @click="pdfx" :class="isOpen['pdfx'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/pdfx.png" />
              <span>坡度分析</span>
            </li>
            <li @click="mxyp" :class="isOpen['mxyp'] ? 'selected' : ''">
              <img class="left-function" src="@/assets/img/left/kjfx/mxyp.png" />
              <span>模型压平</span>
            </li>
          </ul>
        </el-col>
      </el-row>

    </div>
  </div>
</template>

<style scoped>
/* yhadd */
.fjx {
  position: absolute;
  height: 100%;
  border-right: 1px solid #dddddd;
  width: 0px;
  left: 54%;
}

.closeBtn {
  color: white;
  position: relative;
  height: 42px;
  line-height: 42px;
  font-size: 17px;
  padding-left: 10px;
}

.closeSpan {
  position: absolute;
  font-size: 30px;
  right: 0;
  color: white;
  transition: 1s;
}

.closeSpan:hover {
  cursor: pointer;
  transform: rotateZ(90deg);
}

hr {
  width: 114%;
  margin: 11px 0;
  margin-left: -14px;
}

.kjfx {
  width: 320px;
  /* height: 100%; */
  max-height: 360px;
  overflow-y: auto;
  overflow-x: hidden;
  margin-bottom: 30px;
  /* margin: 20px 0; */
}

.kjfx ul li {
  color: white;
}

.kjfx span {
  font-size: 16px;
  margin-top: 13px;
  display: block;
  width: 100px;
  float: right;
}

.kjfx::-webkit-scrollbar {
  /*滚动条整体样式*/
  width: 4px;
  /*高宽分别对应横竖滚动条的尺寸*/
  height: 8px;
  scrollbar-arrow-color: red;
}

.kjfx::-webkit-scrollbar-thumb {
  border-radius: 5px;
  -webkit-box-shadow: inset 0 0 5px rgba(218, 218, 218, 0.2);
  box-shadow: inset 0 0 5px rgba(218, 218, 218, 0.2);
  background: rgba(218, 218, 218, 0.5);
  scrollbar-arrow-color: red;
}

.kjfx::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px rgba(218, 218, 218, 0.2);
  box-shadow: inset 0 0 5px rgba(218, 218, 218, 0.2);
  border-radius: 0;
  background: rgba(218, 218, 218, 0.1);
}

/* yhadd */
/* 图片样式 */
.left-function {
  margin-top: 8px;
  margin-left: 8px;
  margin-bottom: 8px;
  cursor: pointer;
}

li {
  cursor: pointer;
  text-align: left;
}

.selected {
  background: rgba(0, 168, 255, 0.16);
}

li:hover {
  background: rgba(0, 168, 255, 0.16);
}
</style>
    
<script>
import { mapState, mapMutations } from "vuex";
export default {
  name: "leftkjfx",
  data() {
    return {
      skyline: false,
      isOpen: {
        ymfx: false,
        tsfx: false,
        syfx: false,
        tjxfx: false,
        hcqfx: false,
        rzfx: false,
        yyfx: false,
        dgxfx: false,
        pmfx: false,
        dxkw: false,
        dxyp: false,
        pdfx: false,
        mxyp: false,
      },
    };
  },

  computed: {
    ...mapState(["viewer1Show", "yqfk"]),
  },
  methods: {
    ...mapMutations(["setViewer1Show", "setYqfk"]),
    /**
     * 视频监控
     */
    spjk() {
      if (window.sxtkGeojson) {
        sgworld.Viewer.dataSources.remove(window.sxtkGeojson.item);
        window.sxtkGeojson = null;
        window.sxthandler.destroy();
        return;
      }
      let _this = this;
      var options = {
        image: window.SmartEarthRootUrl + "Workers/image/sxt.png",
        show: true,
        scale: 0.5,
        horizontalOrigin: Cesium.HorizontalOrigin.CENTER,
        verticalOrigin: Cesium.VerticalOrigin.CENTER,
        eyeOffset: Cesium.Cartesian3.ZERO,
        pixelOffset: Cesium.Cartesian2.ZERO,
        rotation: 0,
        alignedAxis: Cesium.Cartesian3.ZERO,
        width: undefined,
        height: undefined,
        color: Cesium.Color.WHITE,
        heightReference: Cesium.HeightReference.NONE,
        disableDepthTestDistance: Number.POSITIVE_INFINITY,
      };

      window.sxtkGeojson = sgworld.Creator.createBillboardGeoJsonFeature(
        "",
        window.sessionStorage.getItem("sxtGeojsonUrl"),
        options,
        "0",
        true,
        function (data) {
          sgworld.Navigate.flyToObj(data);
          data.entities.values.map((item) => {
            item.tag = "sxt";
          });
          window.sxthandler = new Cesium.ScreenSpaceEventHandler(
            Viewer.scene.canvas
          );
          window.sxthandler.setInputAction((event) => {
            let pick = sgworld.Viewer.scene.pick(event.position);
            if (pick && pick.id && pick.id.tag == "sxt") {
              _this.$parent.$parent.$parent.closeAllHighLight("kjfx");
              //收缩面板
              _this.close();

              if (_this.isOpen.tsfx) {
                _this.isOpen.tsfx = false;
                sgworld.drawObj &&
                  sgworld.drawObj.end &&
                  sgworld.drawObj.end("cancel");
                return;
              }

              //结束之前操作
              // 清除选中,选中当前
              _this.clearSelected();

              layuiLayer.close(SmartEarthPopupData.layerProp);

              sgworld.drawObj &&
                (sgworld.drawObj.drawHandler &&
                  sgworld.drawObj.drawHandler.destroy(),
                  sgworld.drawObj.end && sgworld.drawObj.end());

              _this.isOpen.spjk = true;

              const props = pick.id.properties;
              // console.log(props.installPla._value)
              layerOpen(props.name._value, {
                width: 370,
                height: 385,
                offset: ["55%", "100px"],
                url: "./static/html/AnalysisVideo.html?type=" + escape(props.installPla._value),
                fn: {
                  success: (layero, index) => {
                    SmartEarthPopupData.layerContainer = layero;
                  },
                  end: () => {
                    this.isOpen.ymfx = false;
                  },
                  cancel: () => {
                    sgworld.drawObj &&
                      sgworld.drawObj.end &&
                      sgworld.drawObj.end("cancel");
                  },
                },
              });
            }
          }, Cesium.ScreenSpaceEventType.LEFT_CLICK);
        }
      );
    },
    tdgl() {

      if (!window.curtainContrast) {
        window.curtainContrast = 1;
        sgworld.Analysis.createCurtainContrast(0, 1);
      } else {
        window.curtainContrast = 0;
        sgworld.Analysis.clearCurtainContrast();
      }
    },
    tdgl1() {
      this.setViewer1Show(!this.viewer1Show)
    },
    yqfkclick() {

      // console.log(this.yqfk)
      this.setYqfk(!this.yqfk)
    },
    // yhadd
    clearActive() {
      for (var item in this.isOpen) {
        this.isOpen[item] = false;
      }
    },
    closeJm() {
      this.$parent.$parent.$parent.isShowAnalyse = false;
    },
    // yhadd
    layerOpen() {
      layuiLayer.open({
        title: "图层列表",
        content: "可以填写任意的layer代码<br>123321",
        shade: 0,
        btn: false,
      });
    },
    //淹没分析
    ymfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      //结束之前操作
      layuiLayer.close(SmartEarthPopupData.layerProp);

      if (this.isOpen.ymfx) {
        this.isOpen.ymfx = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }

      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.ymfx = true;

      layerOpen("淹没分析", {
        width: 370,
        height: 120,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisFloodSubmergence.html",
        fn: {
          success: (layero, index) => {
            SmartEarthPopupData.layerContainer = layero;
          },
          end: () => {
            this.isOpen.ymfx = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    // 通视分析
    tsfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();

      if (this.isOpen.tsfx) {
        this.isOpen.tsfx = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }

      //结束之前操作
      // 清除选中,选中当前
      this.clearSelected();

      layuiLayer.close(SmartEarthPopupData.layerProp);

      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());

      this.isOpen.tsfx = true;
      layerOpen("通视分析", {
        width: 350,
        height: 250,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisIntervisibility.html",
        fn: {
          success: (layero, index) => {
            SmartEarthPopupData.layerContainer = layero;
          },
          end: () => {
            this.isOpen.syfx = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
      // window.CreateLineOfSight &&window.CreateLineOfSight(() => {this.isOpen.tsfx = false;});
    },
    // 视域分析
    syfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      //结束之前操作
      layuiLayer.close(SmartEarthPopupData.layerProp);

      if (this.isOpen.syfx) {
        this.isOpen.syfx = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }

      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());

      this.isOpen.syfx = true;
      layerOpen("视域分析", {
        width: 350,
        height: 300,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisViewshed.html",
        fn: {
          success: (layero, index) => {
            SmartEarthPopupData.layerContainer = layero;
          },
          end: () => {
            this.isOpen.syfx = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    // 天际线分析
    tjxfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      //结束之前操作
      // 清除选中,选中当前
      this.clearSelected();

      layuiLayer.close(SmartEarthPopupData.layerProp);
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());

      this.skyline = !this.skyline;
      this.isOpen.tjxfx = this.skyline;
      // if (this.skyline) {
      if (!sgworld.Analysis.skyline) {
        sgworld.Analysis.createSkylineAnalysis("rgba(237, 7, 7, 0.9)");
        this.$message({
          showClose: true,

          message: "开启天际线",
        });
        sgworld.Analysis.skyline = true;
      } else {
        sgworld.Analysis.clearSkylineAnalysis();
        this.$message({
          showClose: true,

          message: "关闭天际线",
        });
        sgworld.Analysis.skyline = false;
      }
    },
    //缓冲区分析
    hcqfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      //结束之前操作
      layuiLayer.close(SmartEarthPopupData.layerProp);

      if (this.isOpen.hcqfx) {
        this.isOpen.hcqfx = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }
      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.hcqfx = true;

      layerOpen("缓冲区分析", {
        width: 370,
        height: 180,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisBuffer.html",
        fn: {
          success: (layero, index) => {
            SmartEarthPopupData.layerContainer = layero;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
          end: () => {
            this.isOpen.hcqfx = false;
          },
        },
      });
    },
    // 等高线分析
    dgxfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      layuiLayer.close(SmartEarthPopupData.layerProp);

      //结束之前操作
      if (this.isOpen.dgxfx) {
        return;
      }

      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.dgxfx = true;

      layerOpen("等高线分析", {
        width: 350,
        height: 160,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisContour.html",
        fn: {
          end: () => {
            this.isOpen.dgxfx = false;
          },
          cancel: () => { },
        },
      });
    },
    // 剖面线分析
    pmfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      layuiLayer.close(SmartEarthPopupData.layerProp);

      //结束之前操作
      if (this.isOpen.pmfx) {
        this.isOpen.pmfx = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }

      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.pmfx = true;

      layerOpen("剖面线分析", {
        width: 350,
        height: 120,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisFuncEchartLine.html",
        fn: {
          success: (layero, index) => {
            SmartEarthPopupData.layerContainer = layero;
          },
          end: () => {
            this.isOpen.pmfx = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    // 地形开挖
    dxkw() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      layuiLayer.close(SmartEarthPopupData.layerProp);

      //结束之前操作
      if (this.isOpen.dxkw) {
        this.isOpen.dxkw = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }

      //结束之前操作
      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.dxkw = true;

      layerOpen("地形开挖", {
        width: 350,
        height: 120,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisTerrainExcavation.html",
        fn: {
          success: (layero, index) => {
            SmartEarthPopupData.layerContainer = layero;
          },
          end: () => {
            this.isOpen.dxkw = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    //地形压平
    dxyp() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      layuiLayer.close(SmartEarthPopupData.layerProp);
      //结束之前操作
      if (this.isOpen.dxyp) {
        this.isOpen.dxyp = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }
      //结束之前操作
      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.dxyp = true;

      layerOpen("地形压平", {
        width: 350,
        height: 120,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisTerrainFlattening.html",
        fn: {
          success: (layero, index) => {
            SmartEarthPopupData.layerContainer = layero;
          },
          end: () => {
            this.isOpen.dxyp = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    // 坡度分析
    pdfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      layuiLayer.close(SmartEarthPopupData.layerProp);
      //结束之前操作
      if (this.isOpen.pdfx) {
        return;
      }
      //结束之前操作
      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.pdfx = true;

      layerOpen("坡度分析", {
        width: 350,
        height: 160,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisSlope.html",
        fn: {
          end: () => {
            this.isOpen.pdfx = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    // 日照分析
    rzfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      layuiLayer.close(SmartEarthPopupData.layerProp);
      //结束之前操作
      if (this.isOpen.rzfx) {
        this.isOpen.rzfx = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }

      //结束之前操作
      // 清除选中,选中当前
      this.clearSelected();
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.rzfx = true;

      layerOpen("日照分析", {
        width: 350,
        height: 350,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisSunshine.html",
        fn: {
          success(layero, index) {
            SmartEarthPopupData.layerContainer = layero;
            layero.find("iframe").height(520);
          },
          end: () => {
            this.isOpen.rzfx = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    // 阴影分析
    yyfx() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      layuiLayer.close(SmartEarthPopupData.layerProp);
      //结束之前操作
      if (this.isOpen.yyfx) {
        return;
      }
      //结束之前操作
      // 清除选中,选中当前
      this.clearSelected();
      clearnViewshed();

      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());
      this.isOpen.yyfx = true;

      let currentTime = Viewer.clock.currentTime.clone();
      let startTime = Viewer.clock.startTime.clone();
      let stopTime = Viewer.clock.stopTime.clone();
      let multiplier = Viewer.clock.multiplier;
      layerOpen("阴影分析", {
        width: 350,
        height: 333,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisShadow.html",
        fn: {
          end: () => {
            Viewer.clock.currentTime = currentTime;
            Viewer.clock.startTime = startTime;
            Viewer.clock.stopTime = stopTime;
            Viewer.clock.multiplier = multiplier;
            Viewer.shadows = false;
            this.isOpen.yyfx = false;
          },
          success(layero, index) {
            layero.find("iframe").height(520);
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    // 模型压平
    mxyp() {
      this.$parent.$parent.$parent.closeAllHighLight("kjfx");
      //收缩面板
      this.close();
      layuiLayer.close(SmartEarthPopupData.layerProp);
      //结束之前操作
      if (this.isOpen.mxyp) {
        this.isOpen.mxyp = false;
        sgworld.drawObj && sgworld.drawObj.end && sgworld.drawObj.end("cancel");
        return;
      }

      //结束之前操作
      // 清除选中,选中当前
      this.clearSelected();
      layuiLayer.close(SmartEarthPopupData.layerProp);
      sgworld.drawObj &&
        (sgworld.drawObj.drawHandler && sgworld.drawObj.drawHandler.destroy(),
          sgworld.drawObj.end && sgworld.drawObj.end());

      this.isOpen.mxyp = true;

      layerOpen("模型压平", {
        width: 350,
        height: 120,
        offset: ["60%", "10px"],
        url: "./static/html/AnalysisModelFlattening.html",
        fn: {
          success: (layero, index) => {
            SmartEarthPopupData.layerContainer = layero;
          },
          end: () => {
            // ClearAllClippingPlanes();
            this.isOpen.mxyp = false;
          },
          cancel: () => {
            sgworld.drawObj &&
              sgworld.drawObj.end &&
              sgworld.drawObj.end("cancel");
          },
        },
      });
    },
    // 清除所有选中状态
    clearSelected() {
      for (var i in this.isOpen) {
        this.isOpen[i] = false;
      }
    },
    close() {
      //弹出框收缩按钮
      // this.$parent.kjfx = false;
      this.$parent.$parent.$parent.isShowAnalyse = false;
    },
    passSta() {
      var sta = false;
      for (var key in this.isOpen) {
        if (this.isOpen[key] == true) {
          sta = true;
          break;
        }
      }
      if (sta) {
        this.$parent.$parent.$parent.analyseImgSta = true;
      } else {
        this.$parent.$parent.$parent.analyseImgSta = false;
      }
    },
  },
};
</script>